=== grib_api_merging/CMakeLists.txt ===
list( APPEND grib_api_merging_src_files
  copy_spec_from_ksec.c
  emos.c
  intuvp2.c
  intvect2.c
  describe_input_field.c
  intf2.c
  intuvs2.c
  emos.h

  fortint.h
)

foreach( src ${grib_api_merging_src_files} )
  list( APPEND grib_api_merging_srcs grib_api_merging/${src} )
endforeach()

set( grib_api_merging_srcs ${grib_api_merging_srcs} PARENT_SCOPE )
