=== tools/CMakeLists.txt ===
add_subdirectory( bufrtools_wmo )

add_subdirectory( singlePointInterpolation )
