=== debian/changelog ===
emoslib (2:4.0.7-4) unstable; urgency=medium

  * Build fix for SIGN() real type problem on kFreeBSD in csect4.F 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Aug 2015 17:09:48 +0100

emoslib (2:4.0.7-3) unstable; urgency=medium

  * Disable tests to allow emos to proceed for gcc5 transition; 
    working on the issue (see #793955) with upstream;
    code in question is obsolete and being removed. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Aug 2015 19:23:44 +0100

emoslib (2:4.0.7-2) experimental; urgency=medium

  * Enable tests.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Jul 2015 13:38:30 +0100

emoslib (2:4.0.7-1) unstable; urgency=medium

  * New upstream release 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Jul 2015 09:02:02 +0100

emoslib (2:4.0.3+dfsg.1-4) unstable; urgency=medium

  * ppc64el build needs both -fpic and -mcmodel=large. Closes: #790078.
  * Need to add build_fixes.patch to ensure __GNU__ set properly for Hurd.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Jul 2015 16:58:16 +0100

emoslib (2:4.0.3+dfsg.1-3) unstable; urgency=medium

  * drop_tune.patch: Drop -mtune=native which breaks s390x port. 
  * Don't set -mcmodel=large on arm64, as large+fpic doesn't work.
  * Homepage fixed. Closes: #769179.
  * Build ppc64el, sparc -fPIC not fpic.
  * Build fix for Hurd-i386: Add ifdef __GNU__ case
  * Install cmake module in arch-dependent dir. Closes: #790344.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jul 2015 07:44:50 +0100

emoslib (2:4.0.3+dfsg.1-2) unstable; urgency=medium

  * Remove rpath from shlibs. B-D on chrpath. 
  * Fix sed rules that broke some symlinks
  * Add bufrnum back to shlib in new cmake-build system.
  * Change Vcs-Git url to canonical anonscm form. 
  * Use mcmodel=medium on amd64,ppc64; =large on arm64, drop it elsewhere.
    Closes: #790077, #790078.
  * Set DISABLE_OS_CHECK=ON to build on Hurd, KFreeBSD again.
    Closes: #790079.
  * Dedup. libemos-data stuff in interpol, land_sea_mask.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Jun 2015 12:33:00 +0100

emoslib (2:4.0.3+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Change epoch as version format changes 000392 -> 4.0.3
  * Standards-Version: 3.9.6
  * Switch to cmake-based buildsystem. Lots more dependencies and code. 
  * Add libemos-bin package for new binaries (bufr_*, others)
  * examples/ directory removed.
  * Add Vcs-Git: debian-science to debian/control
  * Build-dependencies: grib-api > 1.9.16, libgrib-api-tools

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jun 2015 20:55:05 +0100

emoslib (000392+dfsg.1-3) unstable; urgency=medium

  * Acknowledge previously fixed bug (new version): Closes: #622860.
  * Delete link to non-existent config.h file. Closes: #742684.
  * Compress with xz.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Sep 2014 07:01:40 +0100

emoslib (000392+dfsg.1-2) unstable; urgency=medium

  * Standards-Version: 3.9.5
  * Include grib_api_merging/* into libemos* for MetView.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Dec 2013 19:32:19 +0000

emoslib (000392+dfsg.1-1) unstable; urgency=low

  * New upstream release.  Now with Apache 2.0 license, not GPL.
  * Standards-Version: 3.9.4; no changes required.
  * debhelper depends >=9 now.
  * Make -dev pkg multiarch: same, -data is m-a: foreign. Closes: #693599.
  * Enable hardening in shared library; build all objects fortified.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Apr 2013 05:25:57 +0100

emoslib (000382+dfsg-2) unstable; urgency=low

  * Don't hardcode quadmath; it breaks on some archs. Instead let it be
    pulled in by -lgfortran.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Dec 2011 14:33:21 +0000

emoslib (000382+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Nove from cdbs to debhelper 9
  * Move to Multi-Arch.
  * Standards-Version: 3.9.2
  * Now build-depend on grib-api-1.9.9. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Dec 2011 16:18:04 +0000

emoslib (000380+dfsg-3) unstable; urgency=low

  * Fix for FTBFS on powerpc due to hard-coded max value.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Mar 2010 10:21:14 +0100

emoslib (000380+dfsg-2) unstable; urgency=low

  * Move to Standards-Version: 3.8.4; no changes required. 
  * Disable new function WVQLID2 in interpolation/ ; it requires an
    external function that is not present, and causes the sharedlib
    not to link. Closes: #571396. 
  * Add DEP-3 tags to patches. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Feb 2010 13:59:04 +0000

emoslib (000380+dfsg-1) unstable; urgency=low

  * New upstream release. 
  * remove_sharedllib_dbg patch now needed. Added file sharedlib.c to
    interpolation/sources.linux

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2010 13:57:20 +0000

emoslib (000371+dfsg-3) unstable; urgency=low

  * Remove quilt rule, which conflicts with  source format 3. Closes: #561382. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Dec 2009 21:31:05 +0000

emoslib (000371+dfsg-2) unstable; urgency=low

  * Fix broken patch that lead to non-shared code. Closes: #559944. 
  * Source format 3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Dec 2009 13:38:29 +0000

emoslib (000371+dfsg-1) unstable; urgency=low

  * New upstream release: EMOS_00371 
  * Move to standards: 3.8.3
  * Patch largefile.patch needed for new sharedlib.c bug in 000371.
  * Add underscore_names patch to add file to sources.linux in interpolation/ 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Dec 2009 20:26:14 +0000

emoslib (000370.dfsg.2-1) unstable; urgency=low

  * Updated version emos_000370 contains the following fixes:
      Latest Emos library 000370 is updated on 7.9.2009 due to changes of N320 Reduced Gaussian Grid definition.
    
      Beside of N320 there are two more changes:

