=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --buildsystem=cmake

DESTDIR:=$(shell pwd)/debian/tmp
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ARCH:=$(shell dpkg --print-architecture)
SHLIB_DIR:= debian/libemos0d/usr/lib/${DEB_HOST_MULTIARCH}
AUTOGENERATED:= libemos-dev.install libemos-dev.links

MCMODEL_FLAGS:=''
BUILD_FLAGS:=''
FPIC:= -fpic
ifeq ($(ARCH), amd64)
  MCMODEL_FLAGS:= -mcmodel=medium
  FPIC:= -fPIC
endif
ifeq ($(ARCH), ppc64el)
  MCMODEL_FLAGS:= -mcmodel=large
  FPIC:= -fPIC
  MCMODEL_FLAGS:= -mcmodel=large
endif
ifeq ($(ARCH), sparc)
  FPIC:= -fPIC
endif
ifeq ($(ARCH), hurd-i386)
  BUILD_FLAGS:= ' -D__GNU__'
endif

override_dh_auto_test:
	# Need links for tests.
	(cd bufrtables && ./links.sh)
	# dh_auto_test
	(cd bufrtables && ./clean.sh)

override_dh_auto_clean:
	find bufrtables -type l -delete
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DBUILD_SHARED_LIBS=ON \
		-DDISABLE_OS_CHECK=ON \
		-DMCMODEL_FLAGS=${MCMODEL_FLAGS} \
		-DBUILD_FLAGS=${BUILD_FLAGS} \
		-DPIC=${FPIC} \
		-DBUFR_TABLES_PATH=/usr/share/emos/bufrtables
	for f in ${AUTOGENERATED} ; do \
		sed -e 's%@ARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
		done

override_dh_auto_install:
	cd obj-* && cmake -DCMAKE_INSTALL_PREFIX=${DESTDIR} -P cmake_install.cmake
	cd ${DESTDIR}/share/libemos/tables/bufrtables && sh -x ./links.sh
	# Need to rename file, 
	mkdir -p ${SHLIB_DIR}
	cp obj-*/lib/libemos.so		${SHLIB_DIR}/libemos.so.0d
	cp obj-*/lib/libemosR64.so	${SHLIB_DIR}/libemosR64.so.0d
	chrpath -d ${SHLIB_DIR}/libemos*.so.0d 
	dh_auto_install
